<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly

/**
 * This class contains the overview screen
 *
 * @since 1.0.0
 */
if ( !class_exists( 'Monoedge_Screens_Settings' ) ) {

    class Monoedge_Screens_Settings {
        public function __construct() {
            $this->monoedge_settings_config();
        }

        public function monoedge_settings_config() {
            if( !Monoedge_Utils::$_MONOEDGE->is_authenticated() ){
                Monoedge_Utils::monoedge_require_once( __DIR__ . '/../overview/overview.php' );
            }
            Monoedge_Utils::monoedge_require_once( __DIR__ . '/settings.php' );
        }
    }

    new Monoedge_Screens_Settings();
}