<?php if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly ?>

<script>
var w = jQuery( document ).find( '#TB_ajaxContent' );
w.css( 'background-color', '#e9e9e8' );
w.height( 570 );
</script>
<?php
// Nonce velification
if (!isset($_GET['_wpnonce']) || !wp_verify_nonce($_GET['_wpnonce'], 'monoedge-nonce')) {
    exit('Nonce verification failed');
}
$type       = $_GET[ 'type' ];
$iframe_url = MONOEDGE_BASE_URL . 'admin/public/website-install-custom?type=' . $type . '&language_code=' . Monoedge_Utils::$_MONOEDGE->admin_language;
$location   = isset( $_GET[ 'location' ] ) ? $_GET[ 'location' ] : '';
$custom_css = '';

if ( ! empty( $location ) ) {
	$custom_css = Monoedge_Utils::monoedge_get_locations_custom_css( $location );
}
$custom_css = ( empty( $custom_css ) ? Monoedge_Utils::$_MONOEDGE->custom_css : $custom_css );
if ( isset( $custom_css[ $type ] ) ) {
	$iframe_url .= '&custom_css=' . base64_encode( wp_json_encode( $custom_css[ $type ] ) );
}

?>
    <iframe width="100%" height="100%" frameborder="0" src="<?php echo esc_url( $iframe_url ); ?>"></iframe>
<?php exit();